index

Ace Utilities Help: Introduction

With a dozen system maintenance tools, Ace Utilities lets you run your PC smoothly and error-free.

Ace Utilities is a collection of tools to optimize your PC's performance. It allows you to find and remove the junk files in your PC, invalid registry entries, delete your internet usage history, provides plug-in support to erase the usage history for over 200 third-party applications, manage your cookies and much more. With a detailed startup-manager, you can see what all programs, services, drivers, etc start automatically with Windows and then optionally disable them. Furthermore, Ace Utilities includes options to find true duplicate files, fix or remove broken shortcuts, uninstall software completely, securely delete files, perform disk-space analysis, and more.

Ace Utilities Help file. Copyright © 2002 - 2007 Acelogix Software.


Requirements

Ace Utilities Help: Requirements

Minimum system configuration
  • Graphics mode: 800x600 with 16-bit color
  • 10 MB free hard-disk space
  • Intel Pentium or AMD K5 processor with 133 MHz
  • 32 MB RAM
Recommended system configuration
  • Graphics mode: 1024x768 with 32-bit color
  • 20 MB or more free hard-disk space
  • Intel Pentium III or above, or AMD Athlon processor with 500 MHz or above
  • 128 MB RAM or more
Supported operating systems
  • Windows 98
  • Windows ME
  • Windows 2000
  • Windows XP 32-bit and 64-bit (Home & Professional)
  • Windows Server 2003
  • Windows Vista 32-bit and 64-bit


Awards and Reviews received

Ace Utilities Help: Awards and Reviews received

Awards for Ace Utilities

5/5 rating from CNET Download

5/5 Softpedia pick award

5 cows rating from Tucows

Ace Utilities was featured on Techtv

5/5 star rating from Top- Shareware

"Most popular" award from SoftPile

5 star rating from FileTransit

5 star rating (Excellent) from SnapFiles

5/5 rating from ShareUp

5 star rating from '5star Shareware'

5/5 rating from BrotherSoft

5/5 rating from FileHeaven

5star rating from SofoTex

5 star rating (Editor's pick) from WebAttack

5 star rating from ProgramURL

5/5 rating from FileForum

Excellent rating from 5Cup

5/5 rating from ab-archive

5 star rating from ADL Enterprises

5 stars rating from anova.org

5/5 rating from PC Softland

Reviews for Ace Utilities

CNET's Download.com review of Ace Utilities
"..This suite of system-maintenance tools keeps your computer running smoothly. Ace Utilities' interface integrates the individual utilities nicely. The registry cleaner lets you decide which invalid keys to delete and whether to exclude references to removable media and CDs from examination. To free up disk space, Disk Analysis displays which files and folders take the most room. Cleaning tools find temporary and unnecessary files, empty folders and files, broken shortcuts, and duplicate files. ........................... Ace Utilities suits both tyros and advanced users." Complete review

Tech TV recommends Ace Utilities (Sarah's Download of the day)
"...Ace Utilities gives you so many options and subcategories, you can clean house and customize your computer well beyond your wildest Control Panel dreams. It may even help you achieve that random tweak you've been trying to make happen..."

The New York Times - "A Jolt of Caffeine for the Sluggish PC"
"...Fortunately, casual users can optimize their PC's without risk by using a commercially available utility program like Ace Utilities.."

Softpedia gives "100% CLEAN" award for Ace Utilities
"Softpedia guarantees that Ace Utilities 2.4.2.4003 is 100% CLEAN, which means it does not contain any form of malware, including but not limited to: Spyware, viruses, Trojans and backdoors...." R ead more

Ace Utilities makes it into "The Great Software List 2004" (anova.org/software)
"I recommend Ace Utilities simply because it works so well, and because Ace allows you to set your system options once and run them automatically with one-click. I really have no complaints, and when I wrote to support in ignorance of a couple of features, I received a prompt reply. That's made easier with the Acelogix Forums. But the way I test software and am always looking for a better mousetrap, I need a program that can set my system straight and delete the trash left behind by programs that don't clean up after themselves. Ace does it well, indeed. True geeks opt for the efficient power of Ace Utilities."

"Registry repair software" website review about Ace Utilities (a TopTenReviews website)
".....Ace Utilities is an excellent registry-cleaning system. It is extremely user-friendly and offers a wide variety of tools to improve your overall machine performance....."

Tucows' review of Ace Utilities
"This collection of system maintenance utilities includes a duplicate file remover, a Registry cleaner, a history eraser, a dead shortcut utility, installation and tweak utilities, a disk analysis tool, and a cookie manager."


Acknowledgements

Ace Utilities Help: Acknowledgements

Several people have helped to make Ace Utilities what it is today by giving suggestions, participating in beta-tests, reporting bugs, etc. We would like to give special thanks to the following individuals:

Alan Smeadley
Bernhard Seifert
Clarance A Lawson (Cal)
Gavin Horrigan (G)
Neil Younusof
Sakis D. Papademetriou
Yahir Vite

We are also thankful to James, Mark A Rehrauer, Stuart Ruben, Robert Clapper, Jazz, Bob, Steve Johnson, Tom Dill, Ranji, Mike Lococo, Bloodhack, TimeR, David Hager, Tom Ray, Jim Wall.

(Please excuse us if we have missed any names accidentally.)


Remove Junk Files

Ace Utilities Help - Clean Up: Remove Junk Files

Junk files are created by almost all of the Windows applications you use. In an ideal case, such files are deleted by the program that created them in the first place. But, the converse is what happens often. These files can have a temporary existence where the parent program, which created the file, would delete them upon exiting, or a permanent existence due to unexpected termination of the parent program, an error in the program, a system crash, etc.

The point to be noted here is that such files left behind will reside in your hard disk and accumulate over time unless you manually find and remove them. Some of the results of having a substantial amount of such junk files are dramatic reduction in system performance, consumption of hard disk space (sometimes up to hundreds of megabytes), system crashes etc.

"Remove Junk Files" tool can spot out these miscreant files and help you get rid of them very fast and effectively.

How to use

  • Click the "Remove Junk Files" option from the Ace Utilities 'Clean Up' page.

  • Now, on the next window, go to the "Select Drives" bar on the right side. Choose the drives you want to scan. To avoid a drive from being scanned, please remove the 'check mark' shown by its side. To select only the drive where your Windows is installed, right-click inside the 'Select Drives' bar; select "Only the OS installed drive". By default, all the drives are selected for scanning.
  • To set more options for this tool, click "Options" button located on the top of this window. After changing the options, click 'Ok' to save the preferences.
    Note: Some of these options are for the advanced users.
  • After selecting the necessary settings, it is now time to start scanning for junk files. Click "Scan". At some point if you decide to stop the scanning process, click the "Cancel" button or press "Esc" key.
  • After scanning is completed, a list of junk files found will be shown. 'Check mark' those files which you want to remove from your system. By default, all the files found are marked for deletion. Highlighting files and right-clicking on them will produce a context menu whose options are explained below.

    Open    : Opens the highlighted file with its associated program.
    Open With: Displays the Windows "Open With" box from which you can select an appropriate program to open the highlighted file.
    Explore Folder: Opens the folder in which the highlighted file resides using the Windows Explorer.
    Open Folder: Opens the folder in which the highlighted file resides.
    Properties: Opens the "Windows Properties" box for the highlighted file.
    View In Groups: Shows the scanned files in groups.
    Check All, Check None, and Invert Checks: Selects/de-selects a file for deletion
    Highlighted Item(s)
    * Check Mark, Uncheck, Invert Check: Selects/de-selects the highlighted item(s).
    * Remove from List: Removes the highlighted item from the list. This does not removes the entry from your system.
    * Exclude Always (Never Find Again): Removes the highlighted file from the list; also instructs 'Remove Junk Files' tool to ignore the file in future scans. This is useful if you think that deleting the file *may* create a problem afterwards.
    Report: Saves the scanned junk files list as a text file.
  • Click "Delete" to send all the check-marked files to the Recycle Bin, or the backup folder, or delete permanently. These settings can be accessed from the main Options section.

If you have set Ace Utilities to make back-ups of removed junk files, a corresponding "zip-ed Undo file" is generated and saved in the "Ace Utilities Backups" folder and can be used to restore the files deleted at a later date. Refer the documentation for Restore tool to learn more about this.

'Remove Junk Files' tool employs a built-in 'ignore-list' to ignore certain files/folders from being scanned. This makes the tool safer to use. Read about ignore-lists for more information.

Related Links:
Options
Ignore-Lists
Restore


Clean System Registry

Ace Utilities Help - Clean Up: Clean System Registry

The Registry, the central hierarchical database used in the Microsoft Windows, is used to store information necessary to configure the PC for one or more users, applications and hardware devices.

The Registry contains information that Windows continually references during operations such as setting profiles for each user, details about the applications installed on your computer and the types of documents that an application can create, what all hardware exists in the system, the ports that are being used, etc.

Over time, Windows Registry begins to bloat with data that are invalid and obsolete. Such invalid data eventually accumulate in the Registry slowing down the Windows, whereby compromising PC performance and causing other problems.

"Clean System Registry" is one of the safest Registry cleaning tools available in the market today. Its scanning engine is thorough, safe and fast.

The following are the type of errors or invalid data that the 'Clean System Registry' tool scans for:

  • HKEY_LOC_MACHINE
    The 'Local Machine Hive' contains configuration information particular to the computer (for any user).
  • HKEY_CUR_USER
    The 'Current User Hive' contains the root of the configuration information for the user who is currently logged on.
  • HKEY_USERS
    The 'All Users Hive' contains all the actively loaded user profiles on the computer.
  • Start Menu
    This option cleans the invalid Start Menu data from the Registry.
  • Obsolete Software
    This option cleans invalid entries of software deleted/uninstalled from your Windows installation.
  • File Extensions
    This option cleans invalid file extension entries from the Registry.
  • File Associations
    This option cleans invalid file association entries from the Registry.
  • ActiveX & COM
    This option removes invalid references to non-existent executable modules.
  • Shell Extensions
    This option removes invalid Windows shell-extension entries .
  • Application paths
    This option removes invalid path references to applications.
  • Add/remove entries
    This option removes invalid add/remove references to non-existent software on your system.
  • Shared DLLs
    This option removes invalid references to Windows shared dlls.
  • Fonts
    This option removes invalid references to once installed fonts that no longer exist.
  • Help file paths
    This option finds invalid path references to non-existent/moved help files.
  • IE context menu
    This option finds errors in Internet Explorer context menu.
  • IE Toolbar Buttons
    This option finds errors in Internet Explorer toolbar.
  • BHOs
    This option finds errors in Internet Explorer Browser Helper Objects.
  • Sounds
    This option removes invalid references to audio files in the Registry.
  • History Lists
    This is a method Windows uses to log your PC activity. History Lists stores the details about various things that the user accesses on the system, such as executables, Control Panel applets, shortcut files, etc. However, these entries are encrypted. This option removes such History Lists from the Registry.

How to use

  • Click the "Clean System Registry" option from the Ace Utilities 'Clean Up' page.

  • Now, on the next window, go to the "Select the options to scan" bar on the right side. Here you will be presented with a list of sections where this tool will check for errors. The sections are explained above. Select/deselect the options you want from the list. To deselect an entry, please remove the 'check mark' shown by its side. Default settings will satisfy the needs of most users, but we would recommend selecting all the options for a more detailed cleanup.
  • To set more options for this tool, click "Options" button located on the top of this window. After changing the options, click 'Ok' to save the preferences.
    Note: Some of these options are for the advanced users.
  • After selecting the necessary settings, it is now time to start scanning for erroneous Registry entries. Click "Scan". At some point if you decide to stop the scanning process, click the "Cancel" button or press "Esc" key.
  • After scanning is completed, a list of invalid and erroneous entries found will be shown. 'Check mark' those items which you want to remove from the Registry. By default, all entries found are marked for deletion. Highlighting an entry and right-clicking on it will produce a context menu. The various options on the menu are explained below.

    Open in Registry Editor: Opens the Windows 'Registry Editor' and takes you to the highlighted entry.
    Delete From Registry
    * All Highlighted Items: Deletes the highlighted entries from the Registry
    * All Marked Items: Deletes the 'check-marked' entries from the Registry
    Check All, Check None, and Invert Checks: Selects/de-selects an entry for deletion.
    Highlighted Item(s)
    * Check Mark, Uncheck, Invert Check: Selects/de-selects the highlighted item(s).
    * Remove from List: Removes the highlighted item from the list. This does not removes the entry from your system.
    * Exclude Always (Never Find Again): Removes the highlighted item from the list; also instructs 'Clean System Registry' tool to ignore the item in future scans. This is useful if you think that deleting this entry *may* create a problem afterwards.
    Report: Saves the whole list as a text file.
  • Click "Remove" to delete the entries from the Registry.

Whenever you remove an entry from the Registry using 'Clean System Registry' tool, an "Undo file" is generated and saved in the "Ace Utilities Backups" folder. This file can be used to recreate the entries deleted at a later time should you experience any problem afterwards. Refer the documentation for Restore tool to learn more about this.

For added security, 'Clean System Registry' tool uses an 'ignore list' containing entries which when encountered upon while scanning are ignored. This makes it safer. Read about ignore-lists for more information.

Related Links:
Options
Ignore-Lists
Restore


Erase History

Ace Utilities Help - Clean Up: Erase History

Your Windows operating system keeps tracks of many things that you do with your computer, like the websites you visit using Internet browsers , the pictures you view using image viewers, the movies you watch using Media player etc. Likewise, many of the third-party applications that you use keep a list of the 'most recently used' files.

Owing to the fact that such information is stored at different places by different programs, it is impossible, or rather tedious and time-consuming, to maintain your privacy by manually searching for such entries and eliminating them.

"Erase History" tool makes the job much easier by taking care of everything at the click of a button: freeing up wasted hard-drive space and getting rid of your past activity records from the PC.

This tool is categorized into different sections as explained below.

Jump to:
Main, Windows, Start Menu, Plug-ins, Internet Explorer/MSN, Netscape/Mozilla, FireFox, Opera, Misc Items
Main
This tab integrates all the sections of "Erase History" tool so that once you have set your preferences for the other pages, subsequent use of this tool only demands you to simply click a button and the rest is done automatically.

Select, from the list given, what all "group of actions" has to be done. Then all you have to do is click the Start Cleaning button.

Note: You should quit all applications before starting the cleaning operation.

Clicking the
* Options button will take you to Ace Utilities main Options page where you can manage a couple of settings for the "Erase History" tool.
* Empty Recycle Bin lets you clear the contents of your Recycle Bin.
* Cookie Manager lets you manage the cookies created by Internet Explorer, Firefox, Mozilla, Opera and Netscape internet browsers.

To reset all the previous changes you have made to the different tabs, click the Reset All Options. This will set all the options to its default state.

Windows
This section cleans general Windows usage history and has the following options:
  • Empty the Windows XP Prefetch folder
    Windows XP monitors the files that are used when your PC starts and also when you start various installed applications. By monitoring these files, Windows XP can prefetch them. Prefetching data is the process whereby data that is expected to be requested is read ahead into the cache. Prefetching boot files and applications decreases the time needed to start Windows XP and start applications. If you're frequently using the same few applications over and over again, prefetching can greatly increase the speed of your system. However, after using Windows XP for some time, the 'Prefetch' directory can get bloated, which can slow down your computer noticeably. You can safely remove these files.
  • Delete empty folders in the Windows Temp folder
    Many programs that you use may create folders inside the Windows temporary folder. This option will remove all such subfolders if they are empty.
  • Delete Outlook Express' email auto-complete history
    Use this option to clear the auto-complete history of Outlook express.
  • Delete Outlook Express' deleted emails
    Mails deleted from the 'Outlook Express' will exist in its 'store folder' even though they are not shown by the program. With this option, you can get rid of those deleted mails.
  • Erase folder streams in the Windows Registry
    Each time you open a folder using the 'Windows Explorer', its layout attributes are saved in the Registry so that the next time when you open that folder Windows will show it according to the preferences you set last time. Even though this is an useful feature, more and more entries are added to the Registry as you navigate various folders in your hard-disk. This option will let you remove all such entries.
    Note: Executing this option will reset the layouts for the folders to the default state.
  • Empty Clipboard (copy/paste data)
    Working with files normally involves the use of 'copy' and 'paste' operations. 'Windows Clipboard' remembers the last copy operation and may contain relevant information about your activities like password, credit card or personal information. Clear such entries from Clipboard with this option.
  • Delete Open/Save Dialog history
    When you use the standard 'Open file' and Save file' dialog boxes of programs, Windows remembers the filenames you opened or saved. Get these entries removed using this option.
  • Empty Print Spool folder
    When you issue the 'Print' command for a document or file, your printer-driver software tends to make a rather lengthy set of instructions, called a 'Spool File'. This temporary file is written to your printer's Printer Spool Folder. Delete left-over spool files using this option.
  • Clear Windows Swap/Page File
    Windows Swap File is a large hidden file located in the root of your boot drive used for keeping your virtual memory. It is only a temporary file, but Windows does not delete it from your disk upon shut down. You can delete this file using this option.
    Note: Swap file will be automatically created by Windows at a later time, for example - upon reboot.
  • Clear past icon history of System Tray (XP)
    In Windows XP, if you start a program that makes a 'System tray' entry, Windows will store information about the notifications that program displays in the Tray. Even if you do not use that same program for a while, the previous information still persists. Using this option, you can clear such history.
    Note: The 'Explorer' process may terminate and restart when you execute this option.
  • Erase the list of mapped network drives
    When you map network drives to get access to them via drive letters, Windows remembers all your mappings in the registry. Get rid of that information using this setting.

To perform the actions selected in this section, click the button Execute Now.

Start Menu
This section deals with Windows Start Menu history, and has the following options.
  • Delete Start Menu order history (forces alphabetical order)
    When you use the 'drag and drop' operation to reorder items in your Start Menu, Windows remembers the item-order and records it in Registry. You can clean it to return the Start Menu to alphabetical order.
  • Erase the list of recently open network drives in Windows
    Use this option to remove the recently opened network drive entries from the Start Menu.
  • Remove all Start menu click history (XP)
    Windows stores the list of most recently clicked items on Start menu. Check this option to clean the such history.
  • Remove Old Start menu click history (UserAssist key)
    'UserAssist' registry key contains the information regarding every program or files that you have launched ever since your Windows installation. Use this option to remove those entries.
  • Erase Start menu 'Find Computer' history (needs reboot/logoff)
    Check this box to cause the history stored in 'Find Computer' dialog-box to be erased. This feature requires rebooting your system.
  • Erase Start menu 'Find Files' history (needs reboot/logoff)
    When you search for something on your PC, on the Internet or on your local area network by using the Search/Find command on your Start Menu, Windows records all your search keywords in the Registry. Clear those entries using this option. This feature requires rebooting your system.
  • Erase Start menu 'Run' History (needs reboot/logoff)
    When you start programs using the 'Run' option on the Windows Start menu, Windows remembers all application filenames and their paths in Registry. Clear those entries using this option. This feature requires rebooting your system.
  • Delete recently opened document history
    Whenever a file is opened, a shortcut link to the location of the file is created to facilitate easy access henceforth. These links can be accessed from the 'Documents' section of the Start menu. Check this box to erase this history.

To perform the actions selected in this section, click the button Execute Now.

Plug-ins
Many of the third-party applications you use keep a record of the most recently opened or executed files via them. To erase this 'recent document history' of such applications, Ace Utilities comes equipped with a list of 'plug-ins'. Using these plug-ins, you can get rid of the MRU history of many popular applications.
Note: Ace Utilities may not contain the plug-ins for all the applications you use. We'll update the plug-ins list every now and then to address this issue.

Select the plug-in(s) you want to execute by placing a 'check mark'. Check All, Check None, and Invert Checks buttons in the bottom of the page can be used to selects/de-selects an application plug-in.

To perform the actions selected in this section, click the button Execute Check-marked plug-ins now !.

Note: Though we have fully tested these plug-ins in our systems, we cannot guarantee that it will work on all the systems.

Internet Explorer/MSN
The options on this page let you clean internet clutter, like the discardable files in your browser's cache folder, auto-complete list for webpage text fields, visited websites' list, etc.
  • Delete IE 'Favorites' menu's order history (forces alphabetical order)
    This option clears the order in which entries are stored in your Internet Explorer 'Favorites' menu. All the entries will be sorted in alphabetical order.
  • Delete Cookies (use cookies manager to protect cookies)
    Websites store information in a small text file, called a "cookie," on your hard disk. Cookies contain information about your preferences on a particular website, or it might only contain a record of which pages you visited on a website to help the site customize the view for you the next time you visit. Since some cookies are useful, you may want to keep them. Use 'Cookie Manager' to select the cookies you need to keep. All the unmarked ones will be deleted.
  • Delete locked URL cache files (index.dat) (needs reboot)
    Index.dat file keep a list of websites you have visited, cookies received and files downloaded. If you have never cleaned the index.dat file, your online activities since you installed Windows are stored there. This file cannot be deleted manually because Windows locks it. Use this option to delete this file. This feature requires rebooting your system.
  • Delete all auto-complete data (auto-suggest feature of edit fields)
    When you fill in forms in the web pages, enter your credit card details, your passwords, address, email, etc., Internet Explorer remembers all these information. Anyone can extract the information from the Registry and so it's recommended that you always erase such information after using the Internet Explorer. Use this option to clear the data.
  • Clear typed URLs of Address bar (clears URLs not protected by the Address Bar Editor)
    When you type a website address into the Internet Explorer browser, it remembers that address and records it for later use. In this way, all those addresses you typed in the browser are kept on your computer and can be easily extracted from there. It is highly recommended that you always clean this history if you are concerned about privacy. Use 'Address Bar Editor' to select the addresses you want to keep. All the unmarked ones will be deleted.
  • Clear browser history (needs reboot)
    The 'History' folder stores all the information about the websites you visited, web searches you performed and along with Temporary Internet Files can be used to determine when and what you did on the Internet. It is strongly recommended to always clean history after every online session using the Internet Explorer.
  • Delete cache (files in the 'Temporary Internet Files' folder)
    The 'Temporary Internet Files' folder on your hard disk is where web pages and associated files are stored when you surf the net. This speeds up the display of pages you frequently visit or have already seen, because Internet Explorer can open them from your hard disk instead of from the Web. However, with time, the number and size of these files will grow, slowing down your system. Check this box to clear these internet files.
  • Delete Macromedia Flash cookies
    Flash cookies help a flash movie store information like username, a favorite color or the progress in a game on a user's computer. Unfortunately, few consumers are aware of where Flash cookies are stored or how to control their use. In most browsers, managing these flash cookies are not possible. Since there are no expiration dates on Flash cookies, they can remain on a user's computer indefinitely. Enable this option to get these flash cookies erased.

To perform the actions selected in this section, click the button Execute Now.

Cookie Manager
Clicking on "Cookie Manager" button shows you all the cookies that are saved in your computer from the internet sessions that you had. Here, if you want, you can select those cookies which you want to keep, and delete the rest. To select a cookie, check-mark the box beside it. To deselect, uncheck it. By default, all cookies are deselected.

Using Cookie Manager you can keep or remove cookies created by Internet Explorer, Firefox, Mozilla, Opera and Netscape browsers.

Note: If "Delete 'index.dat' file in the 'Cookies' folder" option is enabled, all the cookies created by your Internet Explorer browser will be deleted even if they are marked not to be deleted.

Address Bar Editor
'Address Bar Editor' shows you all the web address that you have typed in your Internet Explorer's address bar. You can keep those address which may be used for later sessions and delete the rest. To select an url, check-mark the box beside it. To deselect, uncheck it. By default, all entries are unchecked.

Netscape/Mozilla
Here, you can clear the cache, cookies, address bar, history, etc of Netscape and Mozilla Internet browsers. A list of Netscape/Mozilla user profiles is given from which you can select a profile so that the following actions can be performed on that profile.
  • Cache
    Use this option to remove the internet files cached by Netscape/Mozilla.
  • Cookies (which are not protected)
    Use this option to remove the cookies saved in the Netscape/Mozilla cache folder. Since some cookies are useful, you may want to keep them. Click 'Cookie Manager' to select the cookies you need to keep. All the unmarked ones will be deleted.
  • Location bar history
    Remove all those address typed into the Netscape/Mozilla browser's address bar using this option.

To perform the actions selected in this section, click the button Execute Now.

Firefox
This section deals with erasing recent history of the popular Firefox browser. A list of Firefox user profiles is given from which you can select your profile so that the following actions can be performed on that profile.
  • Cache
    Use this option to remove the internet files cached by Firefox.
  • Cookies (which are not protected)
    Use this option to remove the cookies saved in the Firefox cache folder. Since some cookies are useful, you may want to keep them. Click 'Cookie Manager' to select the cookies you need to keep. All the unmarked ones will be deleted.
  • Browsing history
    Remove all those address typed into the Firefox address bar using this option.
  • Saved form information
    Use this option to clear the 'search history' and also the data saved by Firefox when you filled in the webpage forms.
  • Download history
    Clears the history regarding the files you have downloaded from the Internet using Firefox.
  • Saved passwords
    Clears the passwords stored by Firefox.
  • Google toolbar search history
    Clears the keywords you have searched in Google search engine using the 'Google Toolbar' extenstion for Firefox.

To perform the actions selected in this section, click the button Execute Now.

Opera
Here, you can clear the cache, cookies, address bar, history, etc of the Opera Internet browser.
  • Cache
    Use this option to remove the internet files cached by Opera.
  • Cookies (which are not protected using Cookie Manager)
    Use this option to remove the cookies saved in the Opera cache folder. Since some cookies are useful, you may want to keep them. Click 'Cookie Manager' to select the cookies you need to keep. All the unmarked ones will be deleted.
  • Address bar history
    Remove all those address typed into the Opera browser's address bar using this option.
  • Visited Pages history
    Remove the internet usage history of Opera using this option.
  • Download history
    Clears the history regarding the files you have downloaded from the Internet using Opera.

To perform the actions selected in this section, click the button Execute Now.

Misc Items
  • Catalog Files for the Content Indexer - The 'Indexing service' speeds up and improves file searches by maintaining an index of the files that are on the disk. The Catalog files remain from a previous indexing operation and can be deleted safely.
  • Downloaded Program Files - Downloaded program files are ActiveX controls and Java programs that are downloaded automatically from the Internet when you view certain pages. These files are temporarily stored in the Downloaded Program Files folder on the hard disk.
  • Temporary Internet Files
    Use this option to delete the temporary internet files created by your Internet Explorer.
  • Debug dump files - When an error occurs in a program running in Windows, a small memory dump file is created which records the smallest set of useful information that may help identify why your computer has stopped unexpectedly. Use this option to remove such dump files created.
  • Offline Webpages - Offline pages are web pages that are stored on your computer so you can view them without being connected to the Internet. Users with slower dial-up connections and those using laptops frequently make websites they use often available offline. Depending on how many levels deep you save the sites, they can occupy a lot of hard-drive space very quickly. Your personalized settings for web pages will be left intact.
  • Old Chkdsk Files - When 'Chkdsk' checks a disk for errors, it might save lost file fragments as files in the root folder on the disk. These files are unnecessary.
  • Temporary Remote Desktop Files - These files are the result of using the 'Remote Desktop' utility. If you repeatedly use Remote Desktop with the same computer or group of computers, leaving these files intact will maintain the speed of future connections. Deleting them will necessitate downloading the remote systems icons and wallpaper the next time a connection is established.
  • WebClient/Publisher Temporary files - The 'WebClient/Publisher' service maintains a cache of accessed files on your disk. These files are kept locally for performance reasons only, and can be deleted safely.
To perform the actions selected in this section, click the button "Execute Now".


Fix Invalid Shortcuts

Ace Utilities Help - Clean Up: Fix Invalid Shortcuts

Shortcuts are links to files stored in different folders and drives on your PC. The Windows Start Menu is made of shortcuts pointing to various files elsewhere on your hard drive. These shortcuts, when run, opens its corresponding application or document. Many a time, the 'targets' of these shortcuts are moved or deleted, leaving the shortcut pointing to a file or location that no longer exists. Such 'dead' shortcuts clutter your Start Menu and Desktop.

"Fix Invalid Shortcuts" tool provides you with an easy and convenient way to address these invalid shortcuts. It scans your system, finds all the invalid shortcuts and reports back to you so that you can remove it from your system.

How to use

  • Click the "Fix Invalid Shortcuts"' option from the Ace Utilities 'Clean Up' page.
  • Now, on the next window, click the "Options" button on the top. Here you can select the drives/folders to scan for invalid shortcuts.
    There are two options for scanning for invalid shortcuts:
    * Start Menu, Desktop and User profile folders: Use this option if you want to scan only the folders related to your Start Menu, Desktop and user profile. To scan for empty folders in the Start Menu, select "Scan for empty Start Menu folders".
    * All drives specified: Choose the drive(s) to scan from the list presented here.

    To include shortcuts that point to removable media like floppy drive, select "Scan all references to removable media" option.
  • After applying the necessary settings, it is now time to start scanning for invalid shortcuts. Click "Scan". At some point if you decide to stop the scanning process, click the "Cancel" button or press "Esc" key.
  • After scanning is completed, a list of invalid shortcuts found will be displayed. 'Check mark' those entries which you want to remove from your system. By default, all entries found are marked for deletion. Highlighting an entry and right-clicking on it will produce a context menu. The various options on the menu are explained below.

    Fix As: You can fix the invalid shortcut by showing it the correct path to the application that it is pointing to. Browse and show the correct path to the destination file and Ace Utilities will fix the broken link for you.
    Properties :     Opens the "Windows Properties box" for the shortcut.
    Open Folder: Opens the folder in which the invalid shortcut entry exists.
    Check All, Check None, and Invert Checks: Selects/de-selects an entry for deletion.
    Highlighted Item(s) > Check Mark, Uncheck, Invert Check: Selects/de-selects the highlighted item(s).
  • Click "Delete" to remove all the check-marked files from your system.


Auto-Start Manager

Ace Utilities Help - Optimize: Auto-Start Manager

Most Windows users are used to the fact that after installing a large number of software applications, their computer usually slows down considerably. One of the main reasons for this problem is that many applications install background processes that are automatically started when you start your computer. Those background processes increase the boot time and consume valuable resources. Some of the background processes may show up in your 'system tray' as small icons, while others are completely invisible. Not all background processes are bad, of course. Some, like anti-virus programs and system utilities, are needed to keep your system running smoothly, but many of the background processes are often not necessary at all and only make your system run slower.

"Auto-Start Manager" allows you to manage all such applications which start automatically. This tool can organize programs that run automatically using the Registry, the 'Startup' folder in the Start menu and the 'Win.ini' file.

Refer Options page to know more about the types of entries that this tool can display.

How to use

  • Click the "Optimize" tab option from the Ace Utilities main page. Then, click the "Auto-Start Manager".
  • The next window shows the various entries - Logon, Services, DLLs, Scheduled tasks, drivers and more - as instructed by you. The different categories to be shown here are set through the main 'Options' page. Click "Options" to do so.
  • After selecting an entry, right-click on it to get a context-menu whose options are explained below.

     Properties : Opens the 'Windows Properties box' for the selected file.
     Open Folder: Opens the folder in which the file resides.
    Run: Opens the highlighted entry with its associated program
    Enable/Disable: To enable a disabled entry or vice versa.
    Remove: Deletes the selected entry from the list.
    Add Entry: To add a new start-up entry. Detailed explanation about how to add a new entry is given below.
    Edit Entry:     You can also edit an entry to rename it or change the target application path. Detailed explanation about how to edit an entry is given below.
    Search Google: Can be used to search the selected entry in the 'Google' search engine.
     Report: Generates a report of the items in the list which can be saved as a text file.
  • Uncheck the applications that you don't want to get started when Windows starts. Click "Update" button on the toolbar to save the changes.
  • Click, on the toolbar,
    * Refresh: after adding, editing or deleting an entry to reflect the changes in the list.
    * Verify: for Ace Utilities to start verifying each entry in the list to check if your auto-start list contains any trojan/virus entry.
    * Info: after selecting an entry to get the details related to it, if any.
  • If you have multiple users in your system, there will be a 'drop-down list' available on the toolbar. Select an username from the list to view his/her start-up entries.

Adding a new start-up entry
A useful feature is the add option in the menu. Using this option, you can easily add new items to be started when Windows does. This is much more convenient than traversing system Registry and manually entering data.

To add a new item to your startup list:
* Right-click on the window and select the option labeled "Add Entry".
* Name: You may type the description of the item within this box. The information in this area is displayed in the "Program Name" column when listed.
* Path/Cmd: This is the path and filename of the item that you would like to be started. You may either select the button with the folder icon at the right of this box to browse for a file, or manually type this information into this box.

You can make this new entry start every time Windows starts, or only once: during the next Windows boot. Also, it can be set to start only for the current user, or for all user profiles.

Editing a start-up entry
You may also edit any of the existing listed items in order to move them from one location to another, change their program description, or update the command line that is being used to start the item.

To edit an existing startup item select it from the displayed list and then select "Edit Entry" from the menu.

Enabling or disabling of entries does not remove the entry from the list. They are only allowed to start or prevented from starting automatically. To remove an item permanently, click "Remove" from the popup menu or press "Del" key.

Related Links:
Options


Find Duplicate Files

Ace Utilities Help - Optimize: Find Duplicate Files

Duplicate files can appear on your system for a number of reasons, and can have a number of detrimental results aside from wasting hard drive space. Various applications may install the same files at different locations on your system, or you may copy or download the same files into different folders on your system without knowing it. Sometimes the only result of this is wasted hard drive space, but many times different copies of the same vital system file can cause havoc.

"Find Duplicate Files" tool can easily find and remove duplicates of the same file.

Note: The files that you delete using this tool are entirely your selection. Ace Utilities can only find duplicate copies of files; it can't tell which one is the duplicate or the unneeded one. In short, not all files found are candidates for removal.

How to use

  • Click the "Optimize" tab option from the Ace Utilities main page. Then, click the "Find Duplicate Files".
  • Now, on the next window, you can select the drive(s) and/or folder(s) you want to scan. Click the "Folders" button on the right to see the list of selected drive(s)/folder(s) for scanning. To set more options for this tool, click the "Options" button at the top.
  • After selecting the necessary settings, it is now time to start scanning for duplicate files. Click "Scan". Completing the scan might take some time depending upon the size of the drive/folder, number of files to be searched, the criteria set for scanning, etc. At some point if you decide to stop the scanning process, click the "Cancel" button or press "Esc" key.
    Note: All system files will be skipped.
  • After scanning is completed, all the duplicate files will be listed after grouping appropriately. From each group, keep the original copy and check-mark the duplicate copy by viewing the properties or by opening the file with its associated program. Right-clicking on an entry will present you with a context-menu with the following options.

    Open: This opens the selected file in its associated program.
    Open With: Choosing this option will display the "Windows Open With" box from which you can select a suitable program to the open the selected file.
    Explore Folder: This opens, in Windows Explorer, the folder in which the selected file exists.
    Open Folder: This opens the folder in which the selected file exists.
    Properties: This brings the "Windows File Properties" box for the selected file.
    Rename: To rename the selected file, choose this option.
    Check Mark
    * All, None, Invert: Selects/de-selects an entry for deletion.
    * All within this file's folder: Check-marks the duplicate files, from the list, which exist in the selected file's folder.
    * All within this file's folder and it's sub-folder: Check-marks the duplicate files, from the list, which exist in the selected file's folder and its sub-folders.
    * One file in each group: Check-marks one duplicate file from each duplicate group.
    Report: Saves the scanned duplicate files list and its details as a text file.
  • Click "Delete" to send all the check-marked files to the Recycle Bin, or the backup folder. These settings can be accessed from the main Options section.

If you have set Ace Utilities to make back-ups of duplicate files that are deleted, a corresponding "zip-ed Undo file" is generated and saved in the "Ace Utilities Backups" folder and can be used to restore the files deleted at a later date. Refer the documentation for Restore tool to learn more about this.

'Find Duplicate Files' tool employs a built-in 'ignore-list' to ignore certain files/folders from being scanned. This makes the tool safer to use. Read about ignore-lists for more information.

Related Links:
Options
Ignore-Lists
Restore


Add/Remove Programs

Ace Utilities Help - Optimize: Add/Remove Programs

You just can't trust those installation programs. Sure, they'll copy a new application's essential files to the hard disk, but they'll also add files to existing directories, modify the Registry, and generally litter the disk. Uninstall Manager lets you safely remove all unwanted files and return your system to its original state. This utility can be used to uninstall applications easily and quickly than the 'add/remove' control panel applet. This tool lists entries usually with reference to a physical uninstallation file located somewhere on your system.

Sometimes, by either manually deleting applications or from untidy uninstallation, the file that these entries refer may no longer exist and this results in an error when the corresponding entry is tried to uninstall. It is impossible to remove these orphaned entries manually. Using this tool, you can easily remove these invalid entries.

How to use

  • Click the "Optimize" tab option from the Ace Utilities main page. Then, click the "Uninstall Manager".
  • The next window shows the various programs installed on your system. Those application entries with invalid uninstall information have a yellow 'question mark icon' by its side.
  • To uninstall an entry, click the "Uninstall" button on the top.

  • Select an entry, and right-click on it to get the context-menu. The various options in the menu are as explained below.

    Uninstall: Uninstalls the selected program from your system. This is the default action for this tool: if you select an entry and double-click on it, you will be taken to the uninstallation window for the program related to the entry.
    Repair/Update: To repair or update a particular installed software. These features will be available only for programs installed using the '    Windows Installer'.
    Support/About: Will try to get more information about the selected software. This may require an internet connection to work.
    Remove Entry: To delete a particular entry from the list. This will also remove the entry from the Windows Registry. This option is useful for deleting uninstall entries for non-existent programs.
    Edit Entry: To edit the uninstall command for a particular program.
    View: To change the display of the list: as a list of large icons, a simple list, etc.
    Report: Saves the whole list as a text file.
  • If you want to search for a particular program from the list, type the name (or even the first few letters) of the program in the 'Search' box located on the toolbar. The list will then only show the matching entries.


Registry Compactor

Ace Utilities Help - Optimize: Registry Compactor

Windows registry is a database used to store critical data of Windows and other applications. Almost all applications write to and read from the registry. When you install applications, it may add data (keys and values) to the Windows registry and hence the size of the registry increases. As data is added, the Registry will become big and also more fragmented. Even if data is deleted from the registry when applications are uninstalled, the size of the registry may not decrease. This is because the data will be replaced with empty cells. Since most of the registry will be loaded in the memory by Windows all the time, the size of the registry is important. The empty cells can also be a privacy threat. Just like a file deleted from Windows can be recovered, there is a possibility that this deleted data also can be recovered using undelete tools.

"Registry Compactor" works by building a fresh registry and replacing the current registry with the new one. The newly created registry will be devoid of empty cells and will be defragged. The size of the registry will decrease by removal of this empty cells. A smaller registry means faster Windows boot-up time. A de-fragmented registry allows faster read operations for Windows and other applications, and improves system performance.

How to use

  • Click the "Optimize" tab option from the Ace Utilities main page. Then, click the "Registry Compactor".
  • Clicking 'Next' will take you to the analysis phase of the tool. Clicking 'Next' here will make the tool analyze your registry. This may take some time depending upon the size of your registry. You may not be able to move the mouse pointer out-of-focus during this phase as the extent of movement shall be locked. Please wait patiently for the phase to end.
  • After the analysis, the program will tell you how much compaction is possible. Click 'Finish' to complete the procedure. You will be requested to restart Windows and you should do this right away.

You may use the program once a month. It is recommended that you take a backup of the registry before using this tool. Also, you must close all the applications, both in the foreground and the system tray, before running the tool. This is because the registry compactor creates the new registry, exactly like the current one, when it is run, and will replace the current registry with the new copy on reboot. The applications running at that time might save data to the old registry copy. The PC should be restarted immediately if you choose to apply the new registry.

Note: You can abort registry compaction by clicking 'Cancel' instead of 'Finish' from the final 'results' page. The registry will be replaced only if you click 'Finish'.

Related Links:
Registry Backup and Restore


Securely Delete Files

Ace Utilities Help - Protect: Securely Delete Files

The standard Windows Recycle Bin allows you to delete files and folders, presumably removing them from prying eyes. However, unbeknownst to most of us, there are many ways to retrieve and view files and folders which have been removed in this manner – even months after they have been deleted. The reason items can be so easily retrieved intact even long after being supposedly deleted is because Windows does not actually erase the physical data on your drive that makes up the item: it only marks the very first byte of it as 'available space' so that the operating system can use it if necessary. With simple, and in most cases free, software anyone can view a list of all of the files, folders, pictures, and documents you have attempted to delete recently, as well as easily restore and view them. This is where "Securely Delete Files" tool come in handy.

How to use

  • Click the "Protect" tab option from the Ace Utilities main page. Then, click the "Securely Delete Files".
  • Click the "Add File(s)" button to find and insert the files from your hard drive. You can add folders by clicking the "Add Folder" button. If you click the "Add Folder and subfolder(s)" option, all subfolders inside the selected folder will also be added for the secure delete process.
  • After adding the files and folders to the delete-list, click "Start Wipe" to permanently delete them.
  • By default, US DoD 5220.22-M (8-306. /E) method with 3 passes is used to wipe the files/folders. Refer the "Options" page to change this setting.
Related Links:
Options


Wipe Deleted File Data

Ace Utilities Help - Protect: Wipe Deleted File Data

Many computer users are unaware that deleted files can be recovered or undeleted and can yield information which can be used against the person who deleted them. This information can be as common as a deleted email message or as important as sensitive business records. Most people assume that if a file doesn't show up in a folder, it's gone forever. Few people know that deleted files are not erased; the data is just hidden, and the files can be undeleted.

Wiping a disk's free space ensures any such data currently stored will be destroyed. Save all documents and close all running programs that may write to the disk, before using this tool.

How to use

  • Click the "Protect" tab option from the Ace Utilities main page. Then, click the "Wipe Deleted File Data".
  • Now, on the next window, you have two options: "Wipe Free Space" and "Shred Files in the Recycle Bin".

    Wipe Free Space:
    Click the "Eliminate all traces of deleted files on the selected drive". Then, from the list, select the drive to be wiped and click "Next". In the next window, you will be presented with a cautionary notice. Click "Next" to proceed. In the next window, you can set to begin the method to be used for the wiping process. By default "Pseudorandom Data" is used for wiping free space. To change this setting, click "Wipe Options". After making the necessary changes, click 'Ok' to save the preferences. Finally, to start the wiping process, click "Start". This may take some time depending on the size of the drive. If you want to stop the process, click "Cancel" .

    Shred Files in the Recycle Bin:
    Click the "Wipe all the files in the Recycle Bin and empty its contents". This option lets you securely shred and delete files in the Recycle Bin. Click "Next". In the next window, you will be presented with a cautionary notice. Click "Next" to proceed. In the next window, you can set to begin the method to be used for the wiping process. By default, US DoD 5220.22-M (8-306. /E) method with 3 passes is used to wipe the Recycle bin. To change this setting, click "Wipe Options". After making the necessary changes, click 'Ok' to save the preferences. Finally, to start the wiping process, click "Start".

    Note: If you have installed software that 'protect' your Recycle bin (like, Norton Antivirus/Utilities), there *may* occur undesirable side-effects when performing this operation. We recommend disabling such third-party software before attempting to wipe.

Note: Unforeseen events (such as a system crash) that occur while free space is being wiped may leave the target drive with very little or no free space available. To recover that free space, just delete all folders starting with the name "~WIPEFE." (normally "~WIPEFE.001", "~WIPEFE.002", etc) from the root directory of that drive. If you do this with Windows Explorer, hold the Shift key down as you execute the Delete command, so that Explorer will delete the folder outright instead of sending it to the Recycle Bin. (This happens because the utility creates temporary files in the drive and may fail to delete them if PC crashes.)

The Windows 'System Restore' feature may discard all but the most recent Restore Point after you wipe your disk free space.

Related Links:
Options


template

Ace Utilities Help - Miscellaneous: Find Empty Folders

"Find Empty Folders" tool can be used to find the empty folders in your hard drive.

How to use

  • Click the "Miscellaneous" tab option from the Ace Utilities main page. Then, click the "Find Empty Folders".
  • Now, on the next window, go to the "Select Drives" bar on the right side. Select the drives you want to scan. To deselect, please remove the 'check mark' shown by its side. By default, all the drives are selected for scanning. Also, select the "Consider folders with empty subfolders inside as empty" if you want to check for empty sub-folders inside as empty folder.
  • After selecting the necessary settings, it is now time to start scanning for duplicate files. Click "Scan". At some point if you decide to stop the scanning process, click the "Cancel" button or press "Esc" key.
    Note: All the 'Windows folders', read-only and hidden folders will be excluded from scanning.
  • After scanning is completed, a list of empty folders found will be displayed. 'Check mark' those files which you want to remove from your system. By default, no folder is selected for deletion. Highlighting an entry from the list and right-clicking on it will produce a context menu whose options are explained below.

    Explore: Opens the highlighted folder using the Windows Explorer.
    Open: Simply opens the highlighted folder in a new window.
    Check All, None, Invert: Selects/de-selects an entry for deletion
    Exclude Always (Never Find Again): Removes the selected file from the list; also instructs 'Remove Junk Files' tool to ignore the file in future scans.
    Report: Generates a report of the items in the list which can be saved as a text file.
  • Click "Delete" icon to move all the check-marked files to the Recycle bin.


Disk Analysis

Ace Utilities Help - Miscellaneous: Disk Analysis

"Disk Analysis" tool shows the disk usage of your drives. Use it when your hard disk is almost full, and you don't know where the big files are residing, what all files occupy how much space, etc. They may well be hidden in sub-sub-directories.

How to use

  • Click the "Miscellaneous" tab option from the Ace Utilities main page. Then, click the "Disk Analysis".
  • Now, on the next window, you have three options:
    Selected Drives: Click the drive(s) you want to be analyzed.
    All Local Drives: Click this option to analyze all the hard-disk drives in your PC.
    Folder: Here you can use the "Browse" button to select a particular folder and analyze its data distribution and structure.
  • After selecting the required option from the above step, click "Ok".
  • Upon finishing scanning the drive(s) or folder, the first set of results will be presented in the 'Folder' area. This window shows the space distribution and other details of the parent drive/folder and each folder, sub-folder and file occupies. Highlighting a row from the list and right-clicking on it will produce a context menu whose options are explained below.

    Open: If the highlighted entry is a folder, then the folder will be opened in a separate window. If it is a file, this option opens the highlighted file with its associated program.
    Explore Here: This opens the highlighted folder in the Windows Explorer.
    Command Prompt Here: This will provide you with a command-prompt console (DOS console) with the selected folder.
    Delete (To Recycle Bin): Moves the selected folder or file to the Recycle Bin.
    Properties: Opens the "Windows File properties" box for the selected folder/file.
    Report: Saves the selected entry's details as a text file.

    Clicking on the 'File' toolbar button will take you to a two pane window. The left pane shows the types of files, their size, percentage and total number of files of a particular extension in the analyzed drive/folder. The right pane shows you the details about the largest files in the analyzed drive/folder. After selecting an entry, right-click on it to get a context-menu whose options are explained below.

    Open: This opens the selected file in its associated program.
    Explore: This opens, in Windows Explorer, the folder in which the selected file exists.
    Properties: This brings the "Windows File Properties" box for the selected file.


template

Ace Utilities Help - Miscellaneous: Scheduled System Maintenance

"Scheduled System Maintenance" tool can be used to schedule a cleaning operation with the help of Windows 'Task Scheduler'.

How to use

  • Click the "Miscellaneous" tab option from the Ace Utilities main page. Then, click the "Schedule System Maintenance".
  • In the "Schedule System Maintenance" window that pops up, check-mark the tools you want to run (like Junk File Cleaner).

  • Now, select a time schedule to run the selected tasks from the set of options available. For example, selecting the "Every 1 day at 12:00 AM" option will run the selected tools every day at 12 o'clock. Also, you can set the selected tasks to be performed every time Windows starts: just choose the option "Every time Windows starts", etc.
  • After choosing the time, click "Set Schedule".

  • If you are using Windows XP, open Control panel and go to Scheduled Tasks. Double click on "Ace Optimizer Maintenance". Type your Windows login username in the Run As field and enter the Windows login password by clicking the Password button. If the password button is disabled (this is possible if you installed XP SP2, uncheck the "Run only if logged on" option). Click Ok.

    Please read the "Note: XP Users" section below for more information.

  • If you want to delete all tasks, click "Reset".

Note: XP Users
After you schedule a task by using the "Schedule System Maintenance" tool, the task may not run at the time you chose. This can be due to many reasons, including a bug in Windows XP.

Windows XP does not require user accounts to create a password during installation and users can login into Windows without a password. But the Microsoft Task Scheduler requires that users have a password for scheduled events to run. Scheduled scans will not run unless they are configured under a user name that has a password set up. If a scan is not configured with a user name and password, then the scheduled scan will not run.

To fix this problem

  • Open "Control Panel", and then double-click "User Accounts".

  • Click the user account you want to add a password to, and then click "Create a Password". If the Create a Password option is not available, your Windows login password is not blank, and you can go to step 4.

  • Follow the instructions on the screen to create a password. Note that any valid password is acceptable, but it cannot be a blank password. Log off and then log on again

  • Open Control Panel -> Scheduled Tasks.

  • Right-click the "Ace Optimizer Maintenance" task, and then select "Properties".

  • Verify that your computer and user name is correctly entered in the "Run as:" box. If not, supply the correct information.

  • Click "Set password". Enter the Windows login password and then click "Ok". If the password button is disabled (possible after installing XP SP2), uncheck the "Run only if logged on" option first and then enter the password by clicking the "Set password" button.

  • Click "Ok" to close the Properties window.

  • Restart the computer.

For more info on troubleshooting scheduled tasks, read Microsoft Knowledge Base Articles

http://support.microsoft.com/default.aspx?scid=kb;en-us;310715


Options

Ace Utilities Help: Options
Jump to:
Junk File Remover, Registry Cleaner, Shortcut Cleaner, Duplicate File Finder, Miscellaneous, Erase History, View, Automate, Startup Manager, Erase, Ignore-List Editor
Junk File Remover
In this section, you can set a few options for the "Remove Junk Files" tool.

This page sets the file extensions for the scanning of unwanted files. Experts can even add their own extensions . Wildcards (?,*) are accepted. The default settings are enough for normal users.

  • Adding new file types:
    Before beginning, it should be strongly noted that adding to or editing the existing file types can lead to hazardous results if you are not experienced with such matters. If you have any doubts about your ability to perform such modifications please refrain from doing so. Ace Utilities cannot be held responsible for any problems resulting from the misuse of these functions.

    If you are knowledgeable of Windows file types, you may wish to customize the pre-built list. Perhaps you have an application that leaves behind junk and obsolete files because of a general untidy nature or frequent crashes or system freezes. If you know the extension or wildcard filter for the types of files you wish to scan for and remove using this tool, you may add them to the saved list of file types in the following manner:

* Click the 'Add' button
* In the box that pops up, enter the file type. You can use wildcards '?' and '*'.
* Click ok.

  • Remove a file type
    Select the entry from the list and click 'Remove'.
  • To reset the file types list to its default state, click "Default".

Scan Options

  • Clean Temp Folder
    Windows have a special folder called the 'Temp' where temporary files and data are stored by applications and the operating system. The files contained in this folder and any subfolders therein are safely assumed to be temporary. If you utilize this option, all files contained in the Windows Temp Folder will be considered eligible for removal.
  • Find zero length files
    'Zero length' files are created when a third-party application creates a new document or other files but does not save any data in it. This can happen when you create a new file but forget to save it, or your application or system crashes before your work is saved, etc. These files literally contain no data and can be safely removed, eliminating the clutter from your system. So enabling this option will get rid of these files from your system.
  • Use Ignore-list
    Ace Utilities keeps a list of entries/files which are used to filter out certain unsafe files/entries. The "Remove Junk Files" tool uses such an ignore list, by default. Disabling this option will instruct the scanner not to use the ignore list.
    Note: We recommend to leave this option enabled, especially if you are not an 'expert' user. Learn more about Ignore-lists
  • Delete empty temp folders
    This option allows you to delete those empty folders inside the Windows temporary folder.
  • Do not use ignore-list while scanning Temp folders
    Since the 'Temp' folder only contains temporary files and data that are stored by applications and the operating system, you can safely delete these files without employing the Ace Utilities' built-in ignore-list facility.
  • Exclude files modified within a week
    Using this option, you can exclude those files which have been modified within the last one week from being scanned.

Exclude
When you wish to exclude any files contained within a certain folder from a scan, you can use this option and instruct the file scanning process to ignore any files found within the specified folder locations. These folders will be skipped if you check mark them. Add your folders having backup files.

To add folders to the Exclude list:

  • Click 'Add' button.
  • You'll be presented with a box that will allow you to browse your drives for the specific folder location that you would like to add. Select this folder. You can also use wildcards (* and ? ) too.
  • Click 'Ok'

Include
There may be times when you wish to remove all of the files within a certain folder.

To add folders to the Include list:

  • Click 'Add' button.
  • You'll be presented with a 'Browse for folder' box that will allow you to browse your drives for the specific folder location you would like to add. Select this folder.
  • Click 'Ok'

Removal
This section deals with the way Ace Utilities handles 'file deletion', for example, when you click the 'Delete' option.

Three ways are provided which are as given below.

  • Send to the Recycle Bin
    This is the safest and most wise method of removal. Files that are moved to the Windows Recycle Bin retain information about their original location etc. Chances are very good that if you need to reverse a file removal that has been stored in the Recycle Bin, you will be able to accomplish that this easily. The downside of using the Recycle Bin is that the space occupied by the removed files is not freed until you actually empty the bin through Windows.
  • Permanently delete
    This will delete the files permanently and otherwise can be restored. Files removed via this fashion should be very carefully scrutinized before doing so as it is extremely difficult and in most cases impossible to recover them once this type of removal is performed. Use this method only if you are sure the files in question are absolutely no longer needed. Ace Utilities cannot be held responsible for lost files, data, or information due to the use or misuse of this function.
  • Select a destination folder on the local machine to backup to
    Sometimes, rather than permanently deleting files or moving them to the Recycle Bin, it is useful to separate and move them into a specific folder. Files removed in this manner are zipped and stored in the backup location. They remain intact and can be examined before permanent removal. Browse and set the backup folder by clicking the 'Browse' button. To restore deleted entries, use the 'Restore' Tool. Please note that files backed up in this fashion can be restored only using the 'Restore' Tool.
Registry Cleaner
In this section, you can set a number of options available to you in order to allow you to manipulate the way that the 'Clean System Registry' tool will scan your Windows Registry. These options are described below.
  • Select a destination folder on the local machine to backup the deleted entries
    In here, you can specify the name of the backup folder in which an undo-file containing the deleted entries will be stored.

    To select the backup folder: Click 'Browse' button. You'll be presented with a 'Browse for folder' box that will allow you to browse your drives for the specific folder location you would like to add. Select this folder. Click 'Ok'.

    To restore deleted entries, you can use the "Restore" tool. To access this tool, go to the Ace Utilities main window. Click "Restore" button at the top.
  • Scanning Method
    There are two scanning methods available - Standard, and Thorough. The second option - 'Thorough' - utilizes a more intensive scanning algorithm providing maximum cleaning.
  • Limit the number of backups to
    This option limits the total number of previous Registry backups to keep. By default this is set to 25.
  • Include all references to removable media
    If this option is checked, the 'Clean System Registry' tool will also scan for any invalid references that have data pointing to files or folders located on removable media, for example, the floppy drive.
  • Include all references to CD Drive
    If this option is checked, the 'Clean System Registry' tool will also scan for any invalid references that have data pointing to files or folders located on CD-ROM’s. This is by-default unchecked because your registry may contain references to files or folders on CD-ROMs that are not currently accessible.
  • Use Ignore List
    Ace Utilities keeps a list of entries which are used to filter out certain unsafe files/entries. The "Clean System Registry" tool uses such an ignore list, by default. Disabling this option will instruct the scanner not to use the ignore list.
    Note: We recommend to leave this option enabled, especially if you are not an expert user. Learn more about Ignore-lists .
  • Create a System Restore Point always before cleaning registry
    Enable this option to create a 'restore point', which can be used to restore, via the 'Windows System Restore', your Windows to its original state before you ran the 'Clean System Registry' tool. If enabled, a 'restore point' is created before each registry cleaning cycle.
  • Ignore List Manager
    The 'Clean System Registry' tool maintains a list of programs whose registry entries are ignored while scanning the Registry. It is very important to note that even if the applications given in this list create invalid registry entries, deleting such entries may cause the applications to malfunction. So, it is prudent to leave all these applications ignored unless they have been uninstalled.

    If you want the scanner to include any of these ignored programs, uncheck the corresponding entry in the list and click "Ok".
  • Advanced
    Backup format - format of undo file
    You can select the type of backup that Ace Utilities should do while cleaning the System Registry.
    • There are three options:
    • Backup in Regedit format - The undo file will be saved in the standard Windows '.reg' file format.
    • Backup in .zip format - The undo file will be saved in zipped format
    • No Backup - No undo file is created here.
      Note: If this option is selected, you cannot, at a later date, reverse the deletions made by 'Clean System Registry' tool.

    Registry Editor
    By default, 'Clean System Registry' tool uses the native 'Registry Editor' that comes with your Windows to show you the registry entries. If you have a third-party program which you use to view and manipulate registry, enter the path to that application here.

Shortcut Cleaner
In this section, you can set a few options for the 'Fix Invalid Shortcuts' tool. These options are described below.
  • Start Menu, Desktop and User profile folders: Use this option if you want to scan only the folders related to your Start Menu, Desktop and user profile. If you want to scan for empty folders inside the Start Menu folder, then select "Scan for empty start menu folders".
  • All drives specified
    Use this option to scan the different hard-drive partitions in your system.
  • Scan all references to removable media
    To include shortcuts that point to removable media like floppy drive, select this option.
Duplicate File Finder
In this section, you can set a few options for the 'Find Duplicate Files' tool. These options are described below.

Select Duplicate file match criteria
The options in this section are utilized to specify the criteria used to determine whether two files are duplicates. The following options are available and described below.

  • Same Size
    For true duplicate matching, same size is a must. This option compares file sizes down to the byte level for extra accuracy. It is very probable that two or more files that are exactly the same size are duplicates of each other.

  • Same filename
    Two or more files with the same name is a good indicator of duplicates, however this option should be used alone as it is quite possible that two totally unrelated files may exist with the same name which are not duplicates. This option alone provides very loose matching, and is unneeded if one or more of the other more stringent options are used.

  • Same contents using CRC-32/MD5
    This is one of the most powerful options. Using the CRC-32/MD5 algorithms, a hash code for the suspected duplicate files are generated. The hash codes will only match if the files have exactly the same content and hence it can be interpreted that one file is a duplicate of the other. Enabling this option will slow down the scanning process, but its worth the effort as it generates highly reliable output.

  • Ignore files of size less than 'x' KB/MB
    Enabling this option will exclude files whose size is less than 'x' KB/MB, as specified by the user, from the scanning process.
  • Show 'x' groups per page
    Use this option to split the results displayed into different pages after the scanning process is completed. This is helpful as it facilitates easy navigation and viewing of the results. By default, it is set to show '25' duplicate file groups per page.

Scanning Method

  • Scan all files
    Enabling this option will look for duplicate files of all types on the selected drive(s).

  • Scan for the following files
    To restrict the search for duplicates to certain file types, select this option. Selecting this option will only scan for those file types that are in the pre-set list.

    You can add a new file type to this pre-set list.
    To add a new file type: * Click the "Add" button. In the box that pops up, enter the file type. Click ok.
    To remove a file type, select the entry from the list and click "Remove".

Exclude
For the "Find Duplicate Files" tool, we have provided a list of folders to be excluded from scanning. These are mainly folders related to Windows. It is recommended that you do not add these folders to the scanning process.

If you would like to exclude a folder that is not currently displayed within the exclude-list, you may do so in the following manner:

* Click "Add" button. You'll be presented with a box that will allow you to browse your drives for the specific folder location you would like to add. Select this folder. You can also use wildcards (* and ? ) too. Click "Ok".

To remove a folder from the exclude-list, it is as simple as selecting that folder and clicking "Remove".

Note: We recommend you add those folders containing your backup files, setup files for software, etc to the exclude-list.

Removal
This section deals with the way Ace Utilities handles 'file deletion', for example, when you click the 'Delete' option. Two ways are provided which are as given below:

  • Send to the Recycle Bin
    This is the safest and most wise method of removal. Files that are moved to the Windows Recycle Bin retain information about their original location etc. Chances are very good so that if you need to reverse a file removal that has been stored in the Recycle Bin, you will be able to accomplish that this easily. The downside of using the Recycle Bin are that the space occupied by the removed files are not freed until you actually empty the bin through Windows.
  • Select a destination folder on the local machine to backup to
    Sometimes, rather than permanently deleting files or moving them to the Recycle Bin, it is useful to separate and move them into a specific folder. Files removed in this manner lose any information about where they originally were located, however they remain intact and can be examined before permanent removal. Browse and set the backup folder by clicking the 'Browse' button. To restore deleted entries, use the 'Restore' Tool
Miscellaneous
Here you can set a few miscellaneous settings for Ace Utilities.

Misc. Settings

  • Load last active category on startup: brings up the last main section where you stopped while exiting the Ace Utilities program.
  • Show taskbar messages: Enabling this option pops up messages, for various actions Ace Utilities do, in the Windows Taskbar.
  • Play sound on events: Ace Utilities can be set to provide you with brief audio outputs during various events, like when you finish scanning for junk files using tools like "Remove Junk Files". Enable this option to do so.
  • Ask for system-restart whenever needed: will ask you to reboot the PC, if required, to complete an operation.
  • Save sort-order of the columns: will save the order in which you last sorted various columns inside various windows. For example: the columns in the 'Remove Junk Files' window.
  • Save column widths: will save the width of each columns inside various windows. For example: the columns in the 'Remove Junk Files' window.

File and/or invalid entry

  • Confirm deletion/remove of file/invalid entry: Enabling this option will ask your confirmation for deleting the invalid entries found by tools like "Remove Junk Files", "Clean System Registry", etc.

Removable drives

  • Show removable drives for junk/duplicate file finder: will show the removable drives in which you have on your PC, along with the hard drive partitions. So, you can perform the 'Remove junk files' and 'Find duplicate files' operations on the removable drives too.
  • Show removable drives for 'Wipe free space' tool: will show the removable drives that you have on your PC, along with the hard drive partitions. So you can perform the 'Wipe free space' operations on the removable drives too.
Erase History
In this section, you can set a few options for the 'Erase History' tool. These options are described below.
  • Delete 'index.dat' file in the 'Cookies' folder if 'Delete locked url cache' option under the 'Internet Explorer' page in 'Erase History' is check-marked
    'Index.dat' file in the 'Cookies' folder is normally ignored while deleting index files. If this file is deleted, all your cookies will be erased irrespective of the ones 'protected' using the 'Cookie Manager'. Use this option if you do not wish to keep any cookies and desire high privacy.
  • Enable secure registry delete (wipe before delete)
    This ensures that the data deleted from the Windows Registry cannot be recovered afterwards.
  • Securely delete files (wipe and delete)
    Selecting this option will ensure that the history files, for example: the temporary Internet files, are securely deleted. To set the secure delete options, please check the 'Wipe Options' section in the Ace Utilities options page.
  • Exclude 'favicons' when clearing cache
    Enable this option to keep the favorite icons, which are displayed beside the websites you have marked as 'favorites' or 'bookmarks', from being deleted while the browser cache gets purged.

Cookie Manager
Cookie Manager lets you decide which cookies should be deleted and which cookies are to be kept. 'Check-mark' the cookies that you want to keep. By default, no cookie is selected.

You can manage cookies created through :
* Internet Explorer
* Firefox
* Mozilla
* Netscape
* Opera

Just select the appropriate browser option from the 'drop-down' list at the top.

Click Delete Unmarked Cookies Now to delete the cookies that are not check-marked.

Address bar editor
This can be used to manage the website addresses you have typed into the Internet Explorer address bar. This section will show you all such addresses. You need to 'check-mark' those addresses which you wish to keep. The rest will be deleted when you click 'Deleted Unchecked'.

IE Users
You can use this tool to delete the contents of Internet Explorer cache folders of other user accounts on your PC. Just 'check-mark' those which need to be cleaned. To add another IE cache folder, click "Add", and browse and show the path to the folder. To remove a folder from the list, highlight the folder and click "Remove".

View
In this section, you can set a few appearance options for the Ace Utilities. These options are described below.

Foreground and background colors
You can select the color scheme of the Ace Utilities GUI using this section.

Select Item:
* List View Column 1,3,5,...: Some of the tools that show 'list view' columns are "Remove Junk Files", "Clean System Registry", "Fix Invalid Shortcuts", etc. Using this option, you can change the color scheme of various columns such tools show. Here you can change the color scheme for odd-numbered columns, i.e., 1st, 3rd, 5th, and so on.
* List View Column 2,4,6,...: Here you can change the color scheme for the even-numbered columns, i.e., 2nd, 4th, 6th, and so on.
* Duplicate File Group 1,3,5,..: This option applies to the "Find Duplicate Files" tool. In this tool, the adjacent file groups are shown in alternate colors. Here, you can change the color scheme for odd-numbered groups, i.e., 1st, 3rd, 5th, and so on.
* Duplicate File Group 2,4,6,...: Here you can change the color scheme for even-numbered groups, i.e., 2nd, 4th, 6th, and so on.

Just select the item that you want to change from the "Select Item" list.

To change the background color of the item from the "Select Item" list:
* Click "Edit background color" and then click "Set Color".
* In the color box, choose the color you like and click 'Ok'. You can preview the change in the area labeled "Preview".

To change the foreground color, i.e., the font color:
* Click "Edit foreground color" and then click "Set Color".
* In the color box, choose the color you like and click 'Ok'. You can preview the change in the area labeled "Preview".

Click "Default Settings" to make the program revert to its original color scheme. You may have to restart the application after restoring the default color schemes.

Note: The color schemes for "Duplicate File Groups" do not apply for Windows XP.

Select Font
You can change the font schemes of various tools views using this option. Click "Select a font". Choose a font and a suitable size. Click 'Ok'. You may have to restart Ace Utilities for the changes to take effect.

To reverse the font schemes to the default state, click "Default Settings" and restart Ace Utilities.

Other Options

  • Show grid lines in the list: Enabling this option will add grid-like lines to the 'list view' of various tools.
  • Use tabs (old style) for 'Erase History': Enabling this option will give the different sections of the 'Erase History' tool a 'tab interface'.
  • Hide main window when child windows are launched: This option allows you to hide the main Ace Utilities window when a tool is started. For example, when you start the "Remove Junk Files" tool, the Ace Utilities main window become invisible to you until you close the "Remove Junk Files" tool.
Automate
Enable automatic scanning on launch of an utility
By default, when you start certain tools from the Ace Utilities main window, you have to initiate the scanning process by manually clicking 'Scan'. But, this option allows you to start the scanning process automatically when you launch a tool.

Note: This applies only to 'Remove junk files', 'Clean System Registry', 'Find Duplicate files' and 'Find Invalid Shortcuts'.

After scanning, show the delete confirmation box
This option allows you to decide if the 'Remove Junk files' and 'Clean System Registry' tools should ask for a 'delete confirmation box' or not.

Startup Manager
This section allows you to set various options for managing the "Auto-Start Manager" tool.

The types of entries that this tool can display are explained below.

  • Logon: This section deals with normal application entries that automatically run whenever you start Windows.
  • Services: A Windows service is an application that starts when Windows is booted and runs in the background as long as Windows is running. This section shows the services that are running in your system.
  • Known DLLs: Shows the Windows DLLs that are running in your system
  • WinLogon: Winlogon is the component of Windows that is responsible for authenticating an interactive user and enables the user to log on and log off, loading the user profile, user desktops, screen saver control, etc. Winlogon section of the Auto-Start Manager tool will show the list of files running in your system as part of the Windows Winlogon component.
  • BootExecute: BootExecute specifies the applications, services, and commands executed during startup.
  • Image Hijacks: Located in your Windows Registry is a key which allows you to redirect the execution of one application to another. Enabling this option will show such entries, if any.
  • Explorer: Shows the different components that starts with Windows Explorer.
  • Internet Explorer: This section shows the different components loaded - Extensions, Toolbars, Browser Help Objects, etc - by your Internet Explorer. browser
  • Winsock Providers: A Winsock is a Microsoft Windows DLL file that provides the interface to TCP/IP services, essentially allowing Windows to use Web browsers, FTP programs, and others. This section shows the various Winsock providers.
  • Scheduled Tasks: With Scheduled Tasks, you can schedule any script, program, or document to run at a time that is most convenient for you. Scheduled Tasks starts each time you start Windows XP and runs in the background. This section shows such tasks running on your system, if any.
  • Drivers: A "driver" is a specific type of computer software, typically developed to allow interaction with the different hardware devices installed on your system. This section shows the various driver files loaded by your Windows.

Verify Digital Signature
A digital signature is like a paper signature, but it is electronic. A digital signature cannot be forged. A digital signature provides verification to the recipient that the file came from the person who sent it, and it has not been altered since it was signed. Enabling this option tells the Auto-start manager to verify the digital signatures of the start-up entries.

Note: Not having a digital signature does not necessarily mean that the particular program is not authentic or malicious. Many popular programs do not have any digital signatures embedded in them.

Hide Microsoft Entries
Enabling this option hides the Microsoft specific entries from being shown in the "Auto-Start Manager".

Erase
Using the options in this section, you can control how the data wiping process has to be done.

File wipe settings

  • Cluster tip area
    A Computer hard disk is divided into small segments or allocation units called clusters. Usually a file spans several clusters, however it is rarely that the size of a file turns out to be a multiple of cluster size. Normally the last cluster is only partially filled with data. This unused area at the end of the last cluster allocated by a file is called the cluster tip or the slack space. Select 'Cluster tip area' to securely erase the data residing in such cluster tips.
  • Alternate data streams (NTFS)
    In Windows NT/2000/XP operating systems with NTFS disk partitions, there exists a compatibility feature of NTFS called Alternate Data Streams (ADS). They were created to provide compatibility with HFS or the old Macintosh Hierarchical File System. This feature allows data to be stored in hidden files that are linked to a normal visible file. Select 'Alternate data streams' option to ensure that contents of all NTFS streams are overwritten.

Free space wipe settings

  • Free disk space and (MFT records)
    As deletion is not secure enough, anyone can recover almost any file you have ever deleted. To ensure your files are deleted completely from your system, you should wipe the free space of your hard disk. Use this option to securely wipe the free space in your hard disk.
  • Cluster tip area
    Selecting this option will erase the cluster tip areas of all the files, excluding the protected Windows system files.
  • Directory entries
    The file system records the names and attributes of files to a special area called 'directory entries' for FAT and MFT for NTFS. When a file is deleted the corresponding directory entry is modified by the file system which makes it invisible to the Windows user. Unfortunately, most of the information would still exist and the name/attributes can be restored using 'any' recovery utility.

    Checking this option will wipe off such entries from your Windows file system records.

Enable Explorer context menu
Using this option will add "Wipe Unused Space" option in the Windows Explorer context menu.

Enable Recycle Bin context menu
Using this option will add "Wipe Recycle Bin" option to the Recycle Bin context menu.

Wipe Methods
There exists hard-disk data destruction standards which helps you safely wipe off contents securely.

  • The US DoD 5220.22-M File Deletion and Sanitization standard is the standard used for removing files in government agencies, as well as some military organizations. This method uses a variety of steps including overwriting the file many times with predefined binary patterns, then pseudo-random binary values, scrambling the file's date/time using randomly generated time patterns, renaming the file a random name and then deleting the file.
  • The Gutmann method is an algorithm devised by Peter Gutmann to totally erase the contents of a given section, such as a file on a drive, for security. This method uses an overwriting procedure of 35 passes with 27 random order passes using specific data combined with 8 passes using random data.
  • Besides the above standards, you can use a Pseudorandom data overwrite procedure where the contents to be deleted are overwritten by data created by a pseudorandom generator with random inputs. The number of passes specifies how many times to overwrite the data. One pass is sufficient to stop software recovery tools. Several passes might be needed to stop hardware recovery tools such as electron-tunneling microscopes. These tools can recover faint magnetic residue from previous writes.

You can create your own data-overwrite methods.

  • Click "New", and it will take you to custom method editor. Type in a name for the method.
  • In the "Overwriting passes" section, click "Add".
    • In the box labeled "Byte pattern", type the input data which the eraser should use to overwrite a file.
    • To perform a pseudorandom overwrite instead of performing an overwrite process with input data that you give, select "Pseudorandom data" option.
    • Select "Invert previous pass" to perform an overwrite procedure with the contents of the previous pass inverted.
  • Repeat the above step to create a 2, 3, 4-pass process.
  • After inputting the required conditions, click "Save".

By using the "Edit" button, you can edit the custom overwrite procedures you have created.

To delete a procedure, select the corresponding entry from the procedure list and hit "Delete" button. Please note that you cannot edit or delete the US DoD/Gutmann procedures provided in the list.

By default, 'US DoD 5220.22-M (8-306. /E)' is set as the wiping method for files and the contents in Windows Recycle bin. For wiping disk free space, it's the 'Pseudorandom data' algorithm.

Ignore-List Editor
Here you can append your custom entries to the built-in ignore-list.

How to Use

  • Select the appropriate tool from the "Select Tool" drop-down list.
    • You can add custom entries to the "Remove Junk Files", "Clean System Registry" and "Find Empty Folders" tools.
  • Click Add, and type the keyword you want to be excluded.
  • To edit an existing entry previously added, select the entry and click Edit and make the necessary changes.
  • To remove a previously added entry, select it and click Remove.
  • After finishing the modifications, click Save.


Menu

Ace Utilities Help: Menu

This section explores options displayed when clicking the "Menu" button located on the top of the Ace Utilities main window.

Enter Registration Key
Clicking this option will popup a box in which you can type or paste the registration key for Ace Utilities provided to you. After filling in the necessary information, click 'Ok'. You may have to restart the application. If the registration key is valid, the program will be registered to you.
Help
Help Contents: Opens the main help file for Ace Utilities.
Frequently Asked Questions: Opens that section of the main help file which deals with the frequently asked questions.
License Agreement: Opens that section of the main help file which shows you the end-user license agreement for using Ace Utilities.
How to Register: Assists you in ordering Ace Utilities. This part of the help file contains the order links to purchase this software.
Settings
Configuration Wizard
The 'Configuration Wizard' is designed with an easy to understand interface. Moving from step to step is accomplished by adjusting the options presented to you and then clicking the 'Next' button. If you wish to go back at any time to make changes to previous step, select the button labeled 'Back'. All the options are self-explanatory.

Export Preferences
Here you can export the current settings of Ace Utilities and save it as a file.

Import Preferences
Here you can import a previously saved settings for Ace Utilities.

Check for updates
Clicking this will bring up a box which can be used to check the latest version of Ace Utilities. On the box, click 'Check' to make Ace Utilities go to its homepage and check for updates. After successfully communicating with our website, the link to download the latest version will be displayed, if there is an updated version available. You have to "manually download" the new setup file from the link shown, and install it.
I like Ace Utilities
If you are satisfied with Ace Utilities, then you can do the following things to promote this software.

* Purchase Ace Utilities
* Recommend Ace Utilities to a friend, a colleague or a contact.
* Vote for Ace Utilities at cnet.com. To do so, go to the website http://www.download.com, search with the keyword "Ace Utilities". After you get to the page where Ace Utilities is displayed, write your reviews about the software and then rate the software.
* Vote for Ace Utilities at zdnet.com. To do so, go to the website http://www.zdnet.com, search with the keyword "Ace Utilities". After you get to the page where Ace Utilities is displayed, write your reviews about the software and then rate the software.

Get Ace Utilities Now
This will take you to the 'Order' page for Ace Utilities on our website.
Visit Website
This will take you to the Ace Utilities' website.
E-mail Support
You can contact our Support team via e-mail by using this option.


Wizard

Ace Utilities Help - Wizard

"Maintenance Wizard" is a tool that conveniently consolidates several of Ace Utilities' features into one collective interface for quick access and operation. Quick-Cleanup will allow you to easily run a variety of system maintenance procedures on your PC in just a few easy steps.

Using the Maintenance Wizard, you can perform the following quick critical system maintenance operations:

  • Automatically search for and remove junk and obsolete files in your hard-drive(s).
  • Find and clean invalid information and references in the Windows Registry.
  • Clean up Internet browser caches, cookies, and other related build-up created while surfing the Internet.
  • Delete invalid shortcuts.
  • Empty Recycle Bin.

To access the Maintenance Wizard, select the button labeled 'Wizard' from the Ace Utilities main screen.

Just click Start after selecting the tools to be run.

The wizard will remove all invalid entries. Please note that you wont be asked to confirm any deletion/removal. The wizard cannot be stopped once its operation begins. Options regarding the functions are to be set using the "Option" button from the Ace Utilities main screen.


Restore

Ace Utilities Help - Restore

"Restore" tool is used to restore deleted files/entries that were backed up for future use.

There are three restore sections:

Registry Cleaner
Whenever you clean the Registry, a corresponding 'Undo' file is generated for any changes made which can be used to recreate the entries deleted. The undo-file will have its name related to the date and hour when it was created, for example, when the cleaning process was done. This section shows a list of such undo files.

To merge the deleted entries onto the system registry:

  • Select the file from which you want to restore entries
  • Click "Restore".

To delete the undo-files, select the file to be removed and click "Delete".

Click "Rename" to rename the selected undo file.

Junk File Remover
If you have set Ace Utilities to make back-ups of the junk files removed, a corresponding 'zip-ed Undo file' is generated which can be used to restore the deleted files. The zip-file will have its name related to the date and hour when it was created, for example, when the cleaning process was done.

To restore the deleted files:

  • Select the zip file from which files are to be restored.
  • Click "Restore" to restore all files in the selected zip-file.
  • If you click "Custom Restore", all the files inside the selected zip-file will be shown in another window from which you can selectively restore files.

To delete the undo-files, select the file to be removed and click "Delete".

Duplicate File Finder
If you have set Ace Utilities to make back-ups of the duplicate files removed, a corresponding 'zip-ed Undo file' is generated which can be used to restore the deleted files. The zip-file will have its name related to the date and hour when it was created, for example, when the cleaning process was done.

To restore the deleted files:

  • Select the zip file from which files are to be restored.
  • Click "Restore" to restore all files in the selected zip-file.
  • If you click "Custom Restore", all the files inside the selected zip-file will be shown in another window from which you can selectively restore files.

To delete the undo-files, select the file to be removed and click "Delete".


Command-line Support

Ace Utilities Help: Command-Line Support

Ace Utilities supports two types of command-line options.

  • launch - launches just a particular utility than the main interface
  • tasks - performs a cleaning operation silently

Each of the above options has sub-options. They are explained below:

Tasks

Option | Action
r | scans and cleans Windows Registry
h | erases History
j | removes junk files
s | removes invalid shortcuts

Note:
The cleaning tasks uses the current settings. The main interface will not be shown.
After scanning, the entries found will be deleted automatically without asking the user for confirmation.

Examples
Assuming 'C:\Program Files\Ace Utilities' as the installation folder for Ace Utilities

To run "Remove junk files":
"C:\Program Files\Ace Utilities\aceutils.exe" /tasks:j

To run "Erase your history":
"C:\Program Files\Ace Utilities\aceutils.exe" /tasks:h

To run both "Remove junk files" and "Clean System Registry":
"C:\Program Files\Ace Utilities\aceutils.exe" /tasks:jr

To run "Remove junk files", "Clean System Registry" and "Erase your history":
"C:\Program Files\Ace Utilities\aceutils.exe" /tasks:jrh

Launch

Option | Action
r | launches the registry scanner utility
h | launches the erases history
j | launches the remove junk files
s | launches the remove invalid shortcuts
u | launches the uninstaller
a | launches the startup manager
d | launches the duplicate file finder

Examples
Assuming 'C:\Program Files\Ace Utilities' as the installation folder for Ace Utilities

To run the "Remove junk files":
"C:\Program Files\Ace Utilities\aceutils.exe" /launch:j
To run "Erase your History":
"C:\Program Files\Ace Utilities\aceutils.exe" /launch:h
To run "Uninstall Manager":
"C:\Program Files\Ace Utilities\aceutils.exe" /launch:u


Ignore Lists

Ace Utilities Help: Ignore Lists

Ace Utilities keeps lists of entries/files which are used to ignore/filter certain unsafe files/entries to be used with its various tools. These are used by the "Remove Junk Files", "Clean System Registry", "Find duplicate files", and "Find Empty Folders" tools. The files or entries in these lists will be ignored when encountered while scanning for unneeded file/invalid entry/duplicate file/empty folder. These ignore lists filter the entries, and hence the number of invalid entries or files found will be less when compared to similar utilities found on the internet. Just remember, Ace Utilities is making it safer for you, thanks to its huge list of 'unsafe' entries.

You can add your own entries by creating a new file, say, 'myignorelist.ini'. The names of such files do not matter, except for the extension '.ini'.

Note: Please do not edit the 'ignore lists' that come bundled with Ace Utilities. If you must, please make a backup copy of the files before editing so that they can be replaced should something go wrong afterwards.

You can opt not to use the 'ignore-list' for 'Remove Junk Files' and "Clean System Registry" tools using the Ace Utilities main 'Options' page. In this case, all the entries will be listed even if it is unsafe to be removed. The entries which are unsafe will be listed in 'red' color. Removing such entries *may* be harmful for your Windows system and can cause certain programs to malfunction. Only experts should run these tools without using the corresponding ignore-lists.

Note: If you find any entry that should be ignored, please send us the details so that we can add the entry to the distribution files.


Registry Backup and Restore

Ace Utilities Help: Registry Backup and Restore

Note: Print and keep this page, as you won't be able to read this if your computer won't boot.

How To: Manually Back Up the Windows 98/Me Registry
Make a backup copy of the registry using the following steps:

  • From the 'Start Menu, click 'Run'. Type scanregw, and click 'Ok'.
  • When you receive a prompt to back up the registry, click 'Yes'.
  • When you receive the "Backup complete" message, click 'Ok'.

How To: Manually Restore the Windows 98/Me Registry
Under normal circumstances, Windows is capable of detecting and recovering from registry errors automatically. If Windows is incapable of this, a previous copy of the registry can be restored manually. By default, five previous copies or the registry are stored. To restore one of these previous copies:

  • Start your computer, press and hold CTRL, and then choose Safe Mode Command Prompt Only from the Windows 98 boot-menu. If you are running Windows ME, start your computer with a start-up disk.
  • At the MS-DOS prompt, type cd windows\command, and then press ENTER. Where windows is the name of the folder in which Windows is installed.
  • At the C: prompt, type scanreg /restore, and then press ENTER.
  • Select the previous registry you want to restore, and then press ENTER.
    Note    : A properly working registry has the word "Started" next to the date.
  • When you receive notification that you restored a properly working registry, press ENTER to restart your computer.

How To: Use Backup to Back Up Registry in Windows XP/2000
We can use the Ntbackup (ntbackup.exe) to back up the Registry.

  • Click Start, point to All Programs, point to Accessories, point to System Tools, and then click Backup. The Backup or Restore Wizard starts. (Or type ntbackup in the Start Menu > Run dialog box and click 'Ok')
  • Click Advanced Mode.
    Note: If the Backup and Restore Wizard does not start automatically, click Backup Wizard on the Tools menu to back up files.
  • Click the Backup tab.
  • On the Job menu, click New. Click to select the System State check box that is located under 'My Computer' in the left pane.
  • In the Backup destination list, click the backup destination that you want to use.
  • If you clicked 'File' in the previous step, type the full path and file name that you want in the Backup media or file name box.
  • Click Start Backup. The Backup Job Information dialog box appears.
  • Under If the media already contains backups, use one of the following steps:
    If you want to append this backup to previous backups, click 'Append this backup to the media'.
    If you want to overwrite previous backups with this backup, click 'Replace the data on the media with this backup'.
  • Click Advanced.
  • Select the Verify data after backup check box.
  • In the Backup Type box, click the type of backup that you want. When you click a backup type, a description of that backup type is displayed under 'Description'.
  • Click 'Ok', and then click Start Backup. A Backup Progress dialog box appears, and the backup starts.
  • When the backup is complete, click 'Close'.

This back up procedure backs up the five system registry hives (security, software, system, default, and SAM) in '%windir%\repair'. You can use the 'Recovery Console' to restore the backup system hives.

How To: Recover When XP Won't Boot Due To Corrupt Registry
Follow these steps:

1) Reboot and press F8 when the Windows logo appears and select Last Known Good Configuration . This will restore the system registry hives, if it works.

2) If that doesn't work, we will have to boot to 'Recovery Console' and recover those five backed up files from '\Windows\repair' to '\Windows\System32\Config'. Then after a successful boot, run 'System Restore' and restore the latest restore point.

For this, follow these steps:

  • Restart your computer and select the Recovery Console option from the list of available operating Systems. If your computer will not start, you can run the 'Recovery Console' from the 'Setup CD'.
  • At the Recovery Console command prompt, type the following lines, pressing ENTER after you type each line:

    md tmp
    copy c:\windows\system32\config\system c:\windows\tmp\system.bak
    copy c:\windows\system32\config\software c:\windows\tmp\software.bak
    copy c:\windows\system32\config\sam c:\windows\tmp\sam.bak
    copy c:\windows\system32\config\security c:\windows\tmp\security.bak
    copy c:\windows\system32\config\default c:\windows\tmp\default.bak

    delete c:\windows\system32\config\system
    delete c:\windows\system32\config\software
    delete c:\windows\system32\config\sam
    delete c:\windows\system32\config\security
    delete c:\windows\system32\config\default

    copy c:\windows\repair\system c:\windows\system32\config\system
    copy c:\windows\repair\software c:\windows\system32\config\software
    copy c:\windows\repair\sam c:\windows\system32\config\sam
    copy c:\windows\repair\security c:\windows\system32\config\security
    copy c:\windows\repair\default c:\windows\system32\config\default

    Type 'exit' to quit Recovery Console. Your computer will restart.

  • Click Start, and then click All Programs. Click Accessories, and then click System Tools.
  • Click System Restore, and then click Restore to a previous RestorePoint.

The ability to run System Restore from the Recovery Console is yet to implemented by Microsoft. Until then you need NTbackup to create the backups of the registry. Or you can try the procedure in "How to Recover from a Corrupted Registry" in http://support.microsoft.com/?id=kb;en-us;Q307545 . This describes a process to extract the system hives from the SVI folder where SR keeps its restore points, if you don't have NTbackup system state backups.


Known Issues

Ace Utilities Help: Known Issues
  • "Clear past icon history of System Tray (XP)" can make some tray icons disappear
    When you execute the "Erase History > Windows > Clear past icon history of System Tray (XP)" , Ace Utilities will have to restart the Windows Explorer. This is needed to clear the icons, and will momentarily hide the taskbar. This is expected, as you can read from the Microsoft KB article http://support.microsoft.com/default.aspx?scid=kb;en-us;283084

    As a side effect of restarting Windows explorer, some tray icons may disappear. The programs will however be running in the background and only their icons will be missing from the tray. They will restore themselves once Windows restarts.

    As we always warn, please make sure to close all running applications before using Ace Utilities.
  • "Verify Digital signature" may make applications connect to Microsoft's or Verisign's site via the internet
    If you enable "Options > Startup Manager > Verify Digital signature", then your firewall may alert you that our program is trying to connect to microsoft.com or verisign.com using your internet connection. Please note that this is not done by Ace Utilities; it is a Windows API accessing crl.verisign.com or crl.thawte.com or crl.microsoft.com to check whether the digital certificate used to sign the application has been revoked. Also note that Ace Utilities does not try to connect to its home site. Do not think that Ace Utilities is 'phoning' home or that our program is some kind of 'spyware'. If you are worried, then just disable "Verify digital signature".
  • "Clear Windows swap/page file" increases the shutdown time
    If you enable the "Erase History > Windows > Clear Windows swap/page file" option, your shutdown time may increase. This is because Windows is clearing the page file which is several hundred megabytes in size.


License Agreement

Ace Utilities Help: License Agreement

Important - Read carefully:
This license agreement is a legal agreement between you (individual or a legal entity) and Acelogix Software, the vendor of the software product "Ace Utilities".

You agree to be bound by the terms of this license agreement and the limitations of your license by installing, copying, distributing or otherwise using Ace Utilities. If you do not agree, do not install, distribute or use Ace Utilities in any way.

Table of Contents:
1. Definitions
2. Grant of license
3. Restrictions and limitations of use
4. Termination of license
5. Confidentiality
6. Disclaimer
7. Limited liability
8. Distribution
9. Reservation of rights

1. Definitions

  • "Ace Utilities" means the Ace Utilities software product and everything included in its official distribution packages, such as the documentation, all the plug-ins, and all other files.
  • "The Vendor" means the developer of the "Ace Utilities" software product, AceLogix Software.

2. Grant of License
The Vendor grants you the following rights provided that you comply with all terms and conditions of this license agreement:

  • You may install, use, access, display and run Ace Utilities in so many computers that the license you own allows you to.

3. Restrictions and limitations of use
You are NOT allowed to:

  • Modify, reverse engineer, decompile, disassemble or otherwise attempt to reconstruct or discover the source code, or any parts of it from the binaries of Ace Utilities.
  • Create, develop, distribute, use, install or store in your computer a program, source code, mechanism, method, protocol or algorithm to bypass or to break 'Ace Utilities' features or license validation.
  • Remove any product identification, copyright, proprietary notices or labels from Ace Utilities.
  • Distribute, re-distribute, rent, lease or sell the licensed version of Ace Utilities or any portions of it or the license itself or any portions of the license without written permission from the Vendor.
  • Distribute Ace Utilities in any other shape or form than in the official distribution packages without written permission from the Vendor.
  • Use the licensed version of Ace Utilities if you know that the copy you are using is illegal or the license itself is illegal or fake.
  • Use, run, copy, distribute or store Ace Utilities in your computer if this license agreement is violated in any way.

4. Termination of License
The Vendor has the right to terminate this license if you do not abide by the terms and conditions of this license, in which case you must destroy all copies of Ace Utilities and all of its component parts.

5. Confidentiality
Licensed version of Ace Utilities and any license authorization codes or files are confidential. You agree to take adequate steps to protect Ace Utilities and any license authorization codes and registration file from authorization disclosure or use. You agree that you will not disclose the licensed version of Ace Utilities, any parts of it, its license or any parts of the license to any third party.

6. Disclaimer
The vendor expressly disclaims all warranties, whether express, implied or statutory, including, without limitation, the implied warranties of merchantability, of fitness for a particular purpose, non-infringement of third party intellectual property rights, and any warranty that may arise by reason of trade usage, custom, or course of dealing. Without limiting the foregoing, you acknowledge that Ace Utilities is provided "as is" and that the vendor does not warrant that Ace Utilities will run uninterrupted or error free nor that Ace Utilities will operate with hardware and/or software not provided by the vendor. This disclaimer of warranty constitutes an essential part of the agreement. Some states do not allow the exclusion of implied warranties, so the above exclusion may not apply to you, and you may have other rights, which vary from state to state.

7. Limited liability
The entire risk as to results and performance of Ace Utilities is assumed by you. Under no circumstances will the Vendor or his licensors be liable for any direct or special, indirect, incidental, exemplary or consequential damages of any kind or nature whatsoever, whether based on contract, warranty, tort (including negligence), strict liability or otherwise, arising out of or in any way related to Ace Utilities or this agreement, even if the Vendor or his licensors have been advised of the possibility of such damage or if such damage could have been reasonably foreseen, and notwithstanding any failure of essential purpose of any exclusive remedy provided in this agreement. Such limitation on damages includes, but is not limited to, damages for loss of goodwill, lost profits, loss of data or software, work stoppage, computer failure or malfunction or impairment of other goods. In no event will the Vendor or his licensors be liable for the costs of procurement of substitute Software or services. In addition, in no event will the total liability of the Vendor in connection with this agreement or Ace Utilities exceed the actual amount paid to the vendor, if any, for Ace Utilities giving rise to the claim. You acknowledge that Ace Utilities is not designed or licensed for use in on-line equipment in hazardous environments such as operation of nuclear facilities, aircraft navigation or control, or life-critical applications. The Vendor expressly disclaims any liability resulting from use of Ace Utilities in any such on-line equipment in hazardous environments and accepts no liability in respect of any actions or claims based on the use of Ace Utilities in any such on-line equipment in hazardous environments by you. For purposes of this paragraph, the term "life-critical application" means an application in which the functioning or malfunctioning of Ace Utilities may result directly or indirectly in physical injury or loss of human life.

8. Distribution
Unlicensed versions of Ace Utilities may be freely distributed provided that it is not modified in any shape or form whatsoever and that the original distribution packages remain intact with all accompanying files, and provided that no fee is charged (except for any reasonable fees necessary to cover costs of distribution media), and that this license agreement is not violated in any way.

9. Reservation of Rights
The Vendor reserves all rights not expressly granted to you in this license agreement.

Ace Utilities
Copyright 2002-2006 Acelogix Software.
All rights reserved.


Contact Us

Ace Utilities Help: Contact Us

We welcome any and all contact from our customers. Please drop us a note with your feedback, suggestions or questions.

For technical support or general queries you can contact us via:

  • Email : support@acelogix.com
  • Web : http://www.acelogix.com
  • Forum: http://www.acelogix.com/forum

    Please contact us if you have lost your registration code. We will re-send it for free.

    When reporting bugs or problems please include:
  • Windows Operating system version, and
  • Problem description (preferably, in detail)

    Please keep in mind that the more information you provide about your problem, the better chance we have in finding the solution.

    • Ace Utilities Help file. Copyright © 2002 - 2007 Acelogix Software.


Order Ace Utilities

Ace Utilities Help: Order Ace Utilities

You can use Ace Utilities free for 30 days without any functional limitations. If you find it useful and wish to continue using it after the 30-day evaluation period, you are required to register it. You can use the splash screen to register - by clicking 'Buy' - or click the link below.

To order via Credit Card, Check, Money Order, Fax, or Phone Call
Visit:
https://www.regsoft.net/regsoft/vieworderpage.php3?productid=52258 (USA) to order securely.
http://www.regnow.com/softsell/nph-softsell.cgi?item=10596-1&ss_short_order=true (Europe, USA) to order securely.
To order via Paypal
Visit http://www.regnow.com/softsell/nph-softsell.cgi?item=10596-1&ss_short_order=true.

If you experience any problems, go to the URL http://www.acelogix.com/orderau.html or contact us.

Note: To order Ace Utilities 64-bit version, visit http://www.regsoft.net/purchase.php3?productid=78937.

Registration entitles you to the following benefits:

  • Removal of the 30-day limitation and the 'Buy' screen.
  • The most recent version of the program.
  • Unlimited free technical support.
  • Free upgrade/updates to all the future version of the program. (If you buy other similar products, you will end up paying hundreds of dollars for upgrades)
  • A sincere 'Thank you' for supporting Ace Utilities.

The Cost for Ace Utilities

Single User | $29.95 *
Two copies | $42.00 *
More | Please visit: For 32-bit version: order For 64-bit version: order

Please note that you will not receive any disks. Instead, you will be sent a registration key by e-mail.

Registration FAQ

Q. Can I register by sending a check ?
A. Of course. Click the purchase link above to visit the order website. From there, choose the postal order option. You will be given an address to send your check to. You can also use FAX, money-orders, phone, etc.

Q. I am afraid to use credit cards on the internet ?
A. Don't be. The order site is highly secure, according to government standards. It uses a 1024-bit RSA encryption. If you are still not sure, you can use Paypal or phone or check.

Q. I ordered Ace Utilities using a credit card. How long will it take for my registration code to be sent by email ?
A. As soon as your credit card is validated, you will get a code. Normally, this is a matter of seconds. But it can take a few minutes or even hours in some cases. If you experience any delays, contact us. We would be happy to assist you.

* The pricing is subject to change. Please visit the order page for the current price.


Frequently Asked Questions

Ace Utilities Help: Frequently Asked Questions

Given here are some of the frequently asked questions by users of Ace Utilities.

Q: How can I select multiple items in the list and remove or delete them?
A: Hold down the 'Ctrl key' on your keyboard and select each item with your left mouse button and then take the appropriate action (remove selected, delete selected, etc.).

Q: I have another auto-start program organizer and it is showing some disabled items that Ace Utilities is not showing. Why?
A: Each software has its-own way of disabling auto-start programs. Most of them move the shortcuts to another location of their choice. So one program cannot know where the other one is keeping their files, and hence can't show them.

Q: What is RegEdit and how can I use it?
A: Regedit is the tool used to edit the Windows Registry. Learn more about Windows Registry before using RegEdit.

Q: How can I enable the 'Expert' mode?
A: From the 'Menu' option on the main screen, click 'Configuration Wizard'. Click 'Next' until you see the 'Turn on expert mode' option.

Q: My registration code is not being accepted. What am I doing wrong?
A: Please make sure you type your name exactly as given along with the code. (case sensitive).

Q: Why is the option 'ActiveX & COM' in 'Clean System Registry tool' enabled only in the expert mode ?
A: The 'ActiveX & COM' option finds invalid entries in some *very* important parts of the registry. In some rare cases, this can cause some applications to stop functioning properly and/or completely and may have to be reinstalled. This is recommended only for experts who know how to restore the whole registry from a backup.